Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.ST.Type

class slepc4py.SLEPc.ST.Type

  Bases: `object`

  ST type.

  - `SHIFT`: Shift from origin.

  - `SINVERT`: Shift-and-invert.

  - `CAYLEY`: Cayley transform.

  - `PRECOND`: Preconditioner.

  - `FILTER`: Polynomial filter.

  - `SHELL`: User-defined.

  See also

  `STType`

  Attributes Summary

  `CAYLEY` | Object `CAYLEY` of type `str`
  `FILTER` | Object `FILTER` of type `str`
  `PRECOND` | Object `PRECOND` of type `str`
  `SHELL` | Object `SHELL` of type `str`
  `SHIFT` | Object `SHIFT` of type `str`
  `SINVERT` | Object `SINVERT` of type `str`

  Attributes Documentation

  CAYLEY: str = CAYLEY

    Object `CAYLEY` of type `str`

  FILTER: str = FILTER

    Object `FILTER` of type `str`

  PRECOND: str = PRECOND

    Object `PRECOND` of type `str`

  SHELL: str = SHELL

    Object `SHELL` of type `str`

  SHIFT: str = SHIFT

    Object `SHIFT` of type `str`

  SINVERT: str = SINVERT

    Object `SINVERT` of type `str`